var fgmaps;
var geoplace = [];
var markers = [];
var fgbounds = null;
jQuery(document).ready( function($){
	
		rt_embed_map();
	
}
);


function rt_embed_map() {
	
		
		var fg_default_map = datafile['def_location'];
		var fg_places = datafile['post'];
	
        var lang = fg_default_map['front_map_latitude'];
        var lnt = fg_default_map['front_map_longitude'];
        var zoom1 = parseInt(fg_default_map['front_map_zoom']);
     
        if (zoom1 == '')
            zoom1 = 12;
        
        if(lang != '' && lnt != '')
            em_LatLng = new google.maps.LatLng(lang,lnt);
        else
            em_LatLng = new google.maps.LatLng(3.14463,101.700439);
        
		
		fgbounds = new google.maps.LatLngBounds(em_LatLng,em_LatLng);
		fgmaps = new google.maps.Map( document.getElementById('rt_e_map'), {
		    zoom: zoom1,
		    center: em_LatLng,
		    mapTypeId: google.maps.MapTypeId.ROADMAP,
            streetViewControl: false,
		    scrollwheel: false,
		});
     
	
		if (fg_places.length > 1) {
			
            for(var i=0; i< fg_places.length; i++) {
				   
                    var location = fg_places[i]['location']
					addMarker(location, fg_places[i]['title'], fg_places[i]['html']);
              
            }
            fitMarker();
        }
        
}

function fitMarker() {
	if(markers.length > 0) {
		 
		fgmaps.fitBounds(fgbounds);

		if(fgmaps.getZoom()>12) {
			fgmaps.setZoom(12);
		}
		
	}
}

function addMarker(place,title,msg) {
  var lat = parseFloat(place['lat']);
  var lng = parseFloat(place['long']);
  
  if(!isNaN(lat) && !isNaN(lng)) {
	  var myLatLng = new google.maps.LatLng(lat, lng);
	 
	  var marker = new google.maps.Marker({
		position: myLatLng,
		title: title,
		map: fgmaps,
	  });
      markers.push(marker);
	  fgbounds.extend(marker.getPosition());
	  em_map_infobox(marker, msg, fgmaps);
	  marker = null;
   }
}

function em_map_infobox(marker, message, map) {
  message = '<div class="minfo">' + message + '</div>';
  var infowindow = new google.maps.InfoWindow({ maxWidth:120,content: message });
  google.maps.event.addListener(marker, 'click', function() {
    infowindow.open(map,marker);
  });
}

