<?php global $rt_admin; ?>
<div class="wrap">
	<form id="config_form" name="config_form" action="" method="POST">
    <input type="hidden" name="act" value="update" />
    <div id="icon-options-general" class="icon32"><br /></div>
	<h2>Settings</h2>
	
	<h3><a href="http://wordpress.Feedgeorge.com/documentation/" target="_blank">Click here for Help Guide.</a>  </h3>
	<?php  
	if (!isset($rtgeo_options['feedgeorge_key'])) {
	?>
	<div class="rt_error_message">
	WARNING: Before you use Augmented Reality plugin, you must acquire a Feedgeorge API Key for your blog, 
	please go to Feedgeorge for <a href="<?php echo FG_APISITE ?>?skey=<?php echo RT_KEY01 ?>&u=<?php echo get_site_url() ?>&f=<?php echo RT_NAME ?>">sign up</a> and get your api key now.
	</div>
	<?php } ?>
	
    <div class="metabox-holder">
	
		<div  class="postbox" style="width:700px">
				<h3 class="hndle"><span>Common Setting</span></h3>
				<div class="inside">
					  <table class="form-table">
							
							<tr class="form-field">
								<td scope="row" style="font-weight:bold; border:1px solid #aaaaaa" colspan="2">Feedgeorge API Key
								<br/><input name="rt_fgeo_key" id="rt_fgeo_key" value="<?php echo $rtgeo_options['feedgeorge_key']  ?>" size="25" type="text" style="width:700px:padding:2px" />
								
								</td>
							</tr>
							
							<?php  
								if (isset($rtgeo_options['feedgeorge_key'])) {
							?>
							<tr class="form-field">
								<td scope="row" style="font-weight:bold" colspan="2" >Webservice url for Layar
								<div class="rtservice" style="width:700px:padding:2px"><?php echo RT_WEBSERVICE_URL  ?></div>
								</td>
							</tr>
							
							<tr>
							  <td width="20%">Number of posts</td>
							  <td><input type="text" name="rt_total_poi" id="rt_total_poi" value="<?php echo $rt_total_poi?>" /></td>
							</tr>
							<?php } ?>
					</table>
					
				</div>
		</div>
			
        <div id="blogedit_bloginfo" class="postbox" style="width:700px">
            <h3 class="hndle"><span>GeoMap Setting at Home page</span></h3>
            <div class="inside">
                  <div style="padding:5px;color:333;margin:5px 0 0 0;font-size:12px;line-height:1.2em">
                  <strong>Note</strong> <br/>
				  For aggregated map activation, please follow the instruction below. <br/>
				  Put this line of code <strong><i><?php echo htmlentities('<?php show_fgeorge_map([height]); ?>') ?></i></strong> in index.php or home.php in your Theme folder. (replace [height] (in pixel) with your preferred size of the map)
                  </div>
				  
                  <table class="form-table" width="100%">
						<tr class="form-field form-required">
							<td scope="row" colspan="2"><strong>Default Map Location Centre</strong><br/>
							    <label for="default_map_latitude" style="width: 70px; display: inline-block;">Location</label> 
                                <input name="front_map[default_location]" id="default_location" size="60" style="width: 300px;" type="text" value="<?php echo $rtgeo_options['front_map_location']  ?>"><input type="button" id="load_map" name="load_map" value="load" style="width:80px" /><br/>
                                <label for="default_map_latitude" style="width: 70px; display: inline-block;">Latitude</label> 
                                <input name="front_map[lat]" id="default_latitude" value="<?php echo $rtgeo_options['front_map_latitude']  ?>" size="25" type="text" style="width: 150px;" readonly /><br>
							    <label for="default_map_longitude" style="width: 70px; display: inline-block;">Longitude</label> 
                                <input name="front_map[long]" id="default_longitude" value="<?php echo $rtgeo_options['front_map_longitude']  ?>" size="25" type="text" style="width: 150px;" readonly />
                            </td>
						</tr>
						
						<tr class="form-field form-required">
							<th scope="row">Default Map Zoom</th>
							<td><?php echo $rt_admin->selectMapZoom('menu', $rtgeo_options['front_map_zoom'],'front'); ?></td>
						</tr>
						<tr class="form-field form-required">
                            <th scope="row">Default Map Size</th>
							<td>
								<label for="front_map_width" style="width: 70px; display: inline-block;">Width</label> 
                                <input name="front_map[width]" id="front_map_width" value="<?php echo $rtgeo_options['front_map_width']  ?>" size="25" type="text" style="width: 80px;" />px
								<br />
								<label for="front_map_height" style="width: 70px; display: inline-block;">Height</label> 
                                <input name="front_map[height]" id="front_map_height" value="<?php echo $rtgeo_options['front_map_height']  ?>" size="25" type="text" style="width: 80px;" />px
                            </td>
                        </tr>
					
						
                </table>
            </div>
        </div>
        
        
        <div id="blogedit_bloginfo" class="postbox" style="width:700px">
            <h3 class="hndle"><span>GeoMap Setting at Post</span></h3>
            <div class="inside">
                  <table class="form-table">
						<tr class="form-field form-required">
							<td scope="row" colspan="2"><strong>Default Map Location Centre</strong><br/>
							    <label for="content_map_location" style="width: 70px; display: inline-block;">Location</label> 
                                <input name="content_map[default_location]" id="content_map_location" size="60" style="width: 300px;" type="text" value="<?php echo $rtgeo_options['default_location']  ?>"><input type="button" id="content_load_map" name="load_map" value="load" style="width:80px" /><br/>
                                <label for="content_map_latitude" style="width: 70px; display: inline-block;">Latitude</label> 
                                <input name="content_map[lat]" id="content_map_latitude" value="<?php echo $rtgeo_options[post_map_latitude]  ?>" size="25" type="text" style="width: 150px;" readonly /><br>
							    <label for="content_map_longitude" style="width: 70px; display: inline-block;">Longitude</label> 
                                <input name="content_map[long]" id="content_map_longitude" value="<?php echo $rtgeo_options[post_map_longitude]  ?>" size="25" type="text" style="width: 150px;" readonly />
                            </td>
						</tr>
						
						<tr class="form-field  form-required">
							<th scope="row">Default Map Zoom</th>
							<td><?php echo $rt_admin->selectMapZoom('menu', $rtgeo_options['post_map_zoom'],"content"); ?></td>
						</tr>
						
						<tr class="form-field form-required">
							    <th scope="row">Default Map Size</th>
								<td>
							    <label for="content_map_width" style="width: 70px; display: inline-block;">Width</label> 
                                <input name="content_map[width]" id="content_map_width" value="<?php echo $rtgeo_options['post_map_width']  ?>" size="25" type="text" style="width: 80px;" />px
								<br />
								<label for="content_map_height" style="width: 70px; display: inline-block;">Height</label> 
                                <input name="content_map[height]" id="content_map_height" value="<?php echo $rtgeo_options['post_map_height']  ?>" size="25" type="text" style="width: 80px;" />px
                            </td>
                        </tr>
						
                </table>
            </div>
        </div>
        
		
		
        
        <div class="submit" style="width:700px;text-align:center;"><input type="submit" name="Submit" value="Update Options" /></div>

    </div>
    </form>
</div>
